## pytest-cookies 0.2.0

=== Makefile ===
.PHONY: clean-py clean-build clean-tox

help:
	@echo "clean-build - remove build artifacts"
	@echo "clean-py - remove Python file artifacts"
	@echo "clean-tox - remove tox file artifacts"
	@echo "clean remove all file artifacts"

clean: clean-tox clean-build clean-py

clean-build:
	rm -rf build/
	rm -rf dist/
	rm -rf *.egg-info

clean-py:
	find . -type f -name "*.py[co]" -delete
	find . -type d -name "__pycache__" -delete

clean-tox:
	rm -rf .tox/

=== debian/changelog ===
pytest-cookies (0.2.0-1) unstable; urgency=medium

  * Initial release (Closes: #835864)

 -- Hugo Lefeuvre <hle@debian.org>  Mon, 05 Sep 2016 13:16:00 +0200

=== debian/control ===
Source: pytest-cookies
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Hugo Lefeuvre <hle@debian.org>
Build-Depends: debhelper (>=9),
               dh-python,
               python-all,
               python-setuptools,
               python3-all,
               python3-setuptools
Standards-Version: 3.9.8
Homepage: https://github.com/hackebrot/pytest-cookies
X-Python-Version: >= 2.6
X-Python3-Version: >= 3.2
Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/pytest-cookies.git
Vcs-Browser: https://anonscm.debian.org/git/python-modules/packages/pytest-cookies.git

Package: python-pytest-cookies
Architecture: all
Depends: ${misc:Depends},
         ${python:Depends},
         python-pytest,
         python-cookiecutter
Description: wrapper for the cookiecutter API for generating projects (Python 2)
 pytest-cookies comes with a cookies fixture which is a wrapper for the
 cookiecutter API for generating projects. It helps you verify that your
 template is working as expected and takes care of cleaning up after running
 the tests.
 .
 This package installs the library for Python 2.

Package: python3-pytest-cookies
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
         python3-pytest,
         python3-cookiecutter
Description: wrapper for the cookiecutter API for generating projects (Python 3)
 pytest-cookies comes with a cookies fixture which is a wrapper for the
 cookiecutter API for generating projects. It helps you verify that your
 template is working as expected and takes care of cleaning up after running
 the tests.
 .
 This package installs the library for Python 3.

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/pytest-cookies-$1\.tar\.gz/ \
  https://github.com/hackebrot/pytest-cookies/tags .*/v?(\d\S*)\.tar\.gz

## pytest-cookies 0.3.0

=== debian/changelog ===
pytest-cookies (0.3.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org

  [ Hugo Lefeuvre ]
  * New upstream release.
  * Bump compat level to 11.
  * debian/control:
    - Bump Standards-Version to 4.1.3.
    - Depend on debhelper >= 11 instead of >= 9.
    - Declare autopkgtest test suite.
  * Bump copyright years.
  * Update debian/watch to version 4.
  * Remove docs/* files from debian/python{3,}-pytest-cookies.docs since
    they are not present in the release tarball anymore.

 -- Hugo Lefeuvre <hle@debian.org>  Sun, 25 Mar 2018 12:09:24 +0200

=== debian/control ===
--- 
+++ 
@@ -3,18 +3,19 @@
 Priority: optional
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Hugo Lefeuvre <hle@debian.org>
-Build-Depends: debhelper (>=9),
+Build-Depends: debhelper (>=11),
                dh-python,
                python-all,
                python-setuptools,
                python3-all,
                python3-setuptools
-Standards-Version: 3.9.8
+Standards-Version: 4.1.3
 Homepage: https://github.com/hackebrot/pytest-cookies
 X-Python-Version: >= 2.6
 X-Python3-Version: >= 3.2
-Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/pytest-cookies.git
-Vcs-Browser: https://anonscm.debian.org/git/python-modules/packages/pytest-cookies.git
+Testsuite: autopkgtest-pkg-python
+Vcs-Git: https://salsa.debian.org/python-team/modules/pytest-cookies.git
+Vcs-Browser: https://salsa.debian.org/python-team/modules/pytest-cookies
 
 Package: python-pytest-cookies
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=pytest-cookies

%:
	dh $@  --with python2,python3 --buildsystem=pybuild

## pytest-cookies 0.4.0

=== debian/changelog ===
pytest-cookies (0.4.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update standards version to 4.5.0, no changes needed.
  * Bump debhelper from old 12 to 13.
  * Update standards version to 4.5.1, no changes needed.

 -- Sandro Tosi <morph@debian.org>  Thu, 02 Jun 2022 22:01:21 -0400

pytest-cookies (0.4.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Remove ancient X-Python-Version field
  * d/control: Remove ancient X-Python3-Version field
  * Use debhelper-compat instead of debian/compat.

  [ Hugo Lefeuvre ]
  * New upstream release.
  * Drop Python 2 support.
  * debian/control:
    - Bump Standards-Version to 4.4.0.
    - Bump debhelper dependency to version 12.
    - Add python3-arrow binary dependency.
  * Update docs files to match new upstream release.
  * Bump copyright years.

 -- Hugo Lefeuvre <hle@debian.org>  Fri, 26 Jul 2019 09:22:31 -0300

=== debian/control ===
Source: pytest-cookies
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Hugo Lefeuvre <hle@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-all,
               python3-setuptools
Standards-Version: 4.5.1
Homepage: https://github.com/hackebrot/pytest-cookies
Testsuite: autopkgtest-pkg-python
Vcs-Git: https://salsa.debian.org/python-team/packages/pytest-cookies.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/pytest-cookies

Package: python3-pytest-cookies
Architecture: all
Depends: python3-arrow,
         python3-cookiecutter,
         python3-pytest,
         ${misc:Depends},
         ${python3:Depends}
Description: wrapper for the cookiecutter API for generating projects
 pytest-cookies comes with a cookies fixture which is a wrapper for the
 cookiecutter API for generating projects. It helps you verify that your
 template is working as expected and takes care of cleaning up after running
 the tests.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=pytest-cookies

%:
	dh $@  --with python3 --buildsystem=pybuild

## pytest-cookies 0.7.0

=== Makefile ===
.DEFAULT_GOAL := help

.PHONY: clean
clean: clean-tox clean-build clean-pyc ## Remove all file artifacts

.PHONY: clean-tox
clean-tox: ## Remove tox testing artifacts
	@echo "+ $@"
	@rm -rf .tox/

.PHONY: clean-build
clean-build: ## Remove build artifacts
	@echo "+ $@"
	@rm -fr build/
	@rm -fr dist/
	@rm -fr *.egg-info

.PHONY: clean-pyc
clean-pyc: ## Remove Python file artifacts
	@echo "+ $@"
	@find . -type f -name "*.py[co]" -delete
	@find . -type d -name "__pycache__" -delete
	@find . -name '*~' -delete

.PHONY: test
test: ## Run tests quickly with the default Python
	@echo "+ $@"
	@tox -e py

.PHONY: test-all
test-all: ## Run tests on every Python version with tox
	@echo "+ $@"
	@tox

.PHONY: help
help:
	@grep -E '^[a-zA-Z_-]+:.*?## .*$$' $(MAKEFILE_LIST) | sort | awk 'BEGIN {FS = ":.*?## "}; {printf "\033[36m%-16s\033[0m %s\n", $$1, $$2}'

=== debian/changelog ===
pytest-cookies (0.7.0-2) unstable; urgency=medium

  * QA upload.
  * Orphan the package. (See #1093706)

 -- Boyuan Yang <byang@debian.org>  Tue, 21 Jan 2025 12:36:50 -0500

pytest-cookies (0.7.0-1) unstable; urgency=medium

  * New upstream release. (Closes: #1063869)
  * Add myself into the package uploaders list and remove retired
    maintainer. (Closes: #1050274)
  * debian/: Apply "wrap-and-sort -abst".
  * Bump Standards-Version to 4.7.0.

 -- Boyuan Yang <byang@debian.org>  Tue, 30 Apr 2024 19:36:00 -0400

=== debian/control ===
Source: pytest-cookies
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 python3-all,
 python3-cookiecutter,
 python3-setuptools,
Standards-Version: 4.7.0
Homepage: https://github.com/hackebrot/pytest-cookies
Testsuite: autopkgtest-pkg-python
Vcs-Git: https://salsa.debian.org/python-team/packages/pytest-cookies.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/pytest-cookies

Package: python3-pytest-cookies
Architecture: all
Depends:
 python3-arrow,
 python3-pytest,
 ${misc:Depends},
 ${python3:Depends},
Description: wrapper for the cookiecutter API for generating projects
 pytest-cookies comes with a cookies fixture which is a wrapper for the
 cookiecutter API for generating projects. It helps you verify that your
 template is working as expected and takes care of cleaning up after running
 the tests.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=pytest-cookies

%:
	dh $@ --buildsystem=pybuild

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/pytest-cookies-$1\.tar\.gz/ \
  https://github.com/hackebrot/pytest-cookies/tags .*/v?(\d\S*)\.tar\.gz
